Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt.lifecycle
Class JSVar

    java.lang.Object
      org.eclipse.rwt.lifecycle.JSVar

public final class JSVar
extends java.lang.Object

Instances of this class represent a JavaScript variable. In contrast to Strings, JSVars are not enclosed in double quotes in the response.

Since:
  1.0

Constructor Summary
`JSVar()` Creates a new JSVar instance with a generated name which is guaranteed to be unique within the session.
`JSVar(java.lang.String name)` Creates a new JSVar instance with the given name.

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSVar

    public JSVar()

  Creates a new JSVar instance with a generated name which is guaranteed to be unique within the session.

### JSVar

    public JSVar(java.lang.String name)

  Creates a new JSVar instance with the given name.

Parameters:
  `name` - the variable name, must neither be `null` nor empty.

Method Detail

### toString

    public java.lang.String toString()

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.